# std::unordered_set<Key,Hash,KeyEqual,Allocator>::max_size

From cppreference.com
< cpp‎ | container‎ | unordered set

size_type max_size() const noexcept; |  | (since C++11)

Returns the maximum number of elements the container is able to hold due to system or library implementation limitations, i.e. std::distance (begin(), end()) for the largest container.

### Parameters

(none)

### Return value

Maximum number of elements.

### Complexity

Constant.

### Notes

This value typically reflects the theoretical limit on the size of the container, at most std::numeric_limits<difference_type>::max(). At runtime, the size of the container may be limited to a value smaller than `max_size()` by the amount of RAM available.

### Example

Run this code

    #include <iostream>
    #include <unordered_set>

    int main()
    {
        std::unordered_set<char> s;
        std::cout << "Maximum size of a 'unordered_set' is " << s.max_size() << "\n";
    }

Possible output:

    Maximum size of a 'unordered_set' is 768614336404564650

### See also

size | returns the number of elements (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/unordered_set/max_size&oldid=50791"